# Supportify Ruby Client Library [![CI Status](https://travis-ci.org/supportify/supportify-ruby.svg?style=flat)](https://travis-ci.org/supportify/supportify-ruby) [![Gem Version](https://img.shields.io/gem/v/supportify_client.svg)](https://rubygems.org/gems/supportify_client)


The Supportify Ruby Client Library makes it easy for you to build and deploy dynamic, adaptive help centers as part of your Ruby/rails apps.  Don't have a Supportify account?  Sign up today at https://supportify.io. 

## Requirements

Our client library is compatible with MRI Ruby 1.9.3+ or JRuby 1.9+.

## Installation

You don't need this source code unless you want to modify the gem. If you just want to use the Supportify Ruby lib, you should run:

    gem install supportify_client

If you want to build the gem from source:

    gem build supportify_client.gemspec

## Documentation

We've written a [guide](https://supportify.io/docs/support-libraries/ruby) that explains everything from installation, to retrieving content, to recording votes and more.

## Support and Feedback

Be sure to visit the Supportify official [documentation website](https://supportify.io/docs) for additional information about our API. 

If you find a bug, please submit the issue in Github directly. [Supportify-Ruby Issues](https://github.com/supportify/supportify-ruby/issues)

As always, if you need additional assistance, drop us a note at [help@supportify.io](mailto:help@supportify.io).

If you're interested in contributing, please check out the [Contribution Instructions](CONTRIBUTING.md).

## Copyright

Copyright (c) 2015 Supportify, Inc. See [LICENSE](LICENSE) for further details.
