Contributing to supportify-ruby
==============================

If you're interested in contributing to the supportify-ruby library, check out the following instructions:
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so we don't break it in a future version unintentionally.
* Please try not to mess with the version or history. If you want to have your own version, or it is otherwise necessary, that is fine, but please isolate to its own commit so we can cherry-pick around it.

Support and Feedback
--------------------

Be sure to visit the Supportify official [documentation website](https://supportify.io/docs) for additional information about our API. 

If you find a bug, please submit the issue in Github directly. [Supportify-Ruby Issues](https://github.com/supportify/supportify-ruby/issues)

As always, if you need additional assistance, drop us a note at [help@supportify.io](mailto:help@supportify.io).